[Lunar-commits] <moonbase> nfs-utils-test: add nfs-utils 1.2.2 version to the moonbase.

Florin Braescu florin at lunar-linux.org
Sat Mar 6 08:51:33 CET 2010


commit 2fd7c07875afe35bc1e9169aeb2bc32c81da6f8c
Author: Florin Braescu <florin at lunar-linux.org>
Date:   Sat Mar 6 09:51:33 2010 +0200

    nfs-utils-test: add nfs-utils 1.2.2 version to the moonbase.
    
    It is provided for testing purposes.
---
 zbeta/nfs-utils-test/BUILD          |   24 ++++++++++++++++++
 zbeta/nfs-utils-test/DEPENDS        |    3 ++
 zbeta/nfs-utils-test/DETAILS        |   24 ++++++++++++++++++
 zbeta/nfs-utils-test/init.d/nfs     |   45 +++++++++++++++++++++++++++++++++++
 zbeta/nfs-utils-test/init.d/nfslock |   24 ++++++++++++++++++
 5 files changed, 120 insertions(+), 0 deletions(-)

diff --git a/zbeta/nfs-utils-test/BUILD b/zbeta/nfs-utils-test/BUILD
new file mode 100644
index 0000000..7d50644
--- /dev/null
+++ b/zbeta/nfs-utils-test/BUILD
@@ -0,0 +1,24 @@
+unalias  make
+
+(
+
+  patch_it $SOURCE_CACHE/$SOURCE2 1  &&
+
+  ( source /var/lib/lunar/unset.sh && ./configure  --prefix=/usr  --mandir=/usr/share/man \
+    --disable-nfsv4 --disable-gss )  &&
+
+  ( source /var/lib/lunar/unset.sh && make )  &&
+  prepare_install  &&
+  ( source /var/lib/lunar/unset.sh && make install )  &&
+
+  if [ -e "/etc/init.d/nfslock.sh" ]; then
+     rm -f /etc/init.d/nfslock.sh
+     rm -f /etc/rc?.d/???nfslock.sh
+  fi  &&
+
+  if [ -e "/etc/init.d/nfs.sh" ]; then
+    rm -f /etc/init.d/nfs.sh
+    rm -f /etc/rc?.d/???nfs.sh
+  fi
+
+) > $C_FIFO 2>&1
diff --git a/zbeta/nfs-utils-test/DEPENDS b/zbeta/nfs-utils-test/DEPENDS
new file mode 100644
index 0000000..fffbf90
--- /dev/null
+++ b/zbeta/nfs-utils-test/DEPENDS
@@ -0,0 +1,3 @@
+depends portmap
+depends quota
+depends libtirpc
diff --git a/zbeta/nfs-utils-test/DETAILS b/zbeta/nfs-utils-test/DETAILS
new file mode 100644
index 0000000..cea16e6
--- /dev/null
+++ b/zbeta/nfs-utils-test/DETAILS
@@ -0,0 +1,24 @@
+          MODULE=nfs-utils-test
+         VERSION=1.2.2
+          SOURCE=nfs-utils-$VERSION.tar.bz2
+         SOURCE2=nfs-utils-$VERSION-mount.patch.bz2
+SOURCE_DIRECTORY=$BUILD_DIRECTORY/nfs-utils-$VERSION
+      SOURCE_URL=$SFORGE_URL/nfs
+     SOURCE2_URL=$PATCHES_URL
+      SOURCE_VFY=sha1:bf823cb85844de3ff3bf07601698aaa1cfdd8a28
+     SOURCE2_VFY=sha1:80fe9dd82d5624482b08b640dce6990c81090e68
+        WEB_SITE=http://nfs.sourceforge.net
+           SHORT="Network File System"
+         ENTERED=20011023
+         UPDATED=20100306
+
+cat << EOF
+The Network File System (NFS) was developed to allow machines to mount
+a disk partition on a remote machine as if it were on a local hard
+drive. This allows for fast, seamless sharing of files across a network.
+It also gives the potential for unwanted people to access your hard
+drive over the network (and thereby possibly read your email and delete
+all your files as well as break into your system) if you set it up
+incorrectly. So please read the Security section of the NFS-HOWTO
+carefully if you intend to implement an NFS setup.
+EOF
diff --git a/zbeta/nfs-utils-test/init.d/nfs b/zbeta/nfs-utils-test/init.d/nfs
new file mode 100755
index 0000000..11247be
--- /dev/null
+++ b/zbeta/nfs-utils-test/init.d/nfs
@@ -0,0 +1,45 @@
+#!/bin/sh
+#
+# nfs           This shell script takes care of starting and stopping
+#               the NFS services.
+#
+# chkconfig: 35 60 40
+# description: NFS is a popular protocol for file sharing across TCP/IP \
+#              networks. This service provides NFS server functionality, \
+#              which is configured via the /etc/exports file.
+# probe: true
+
+[  -e /etc/exports  ]  ||  exit 0
+
+NUMSERVERS=8
+MOUNTDOPTS=
+
+case $1 in
+   start|restart)  echo "$1ing NFS services"
+                   exportfs -r 
+
+                   pkill      "^rpc.rquotad$"  &&  sleep  5
+                   pkill      "^rpc.mountd$"   &&  sleep  5
+                   pkill  -1  "^nfsd$"         &&  sleep  5
+                   pkill      "^rpc.statd$"    &&  sleep  5
+
+                   ps  -C  portmap  >  /dev/null  ||
+                   /etc/init.d/portmap start
+                   /usr/sbin/rpc.rquotad
+                   /usr/sbin/rpc.mountd  $MOUNTDOPTS
+                   /usr/sbin/rpc.nfsd    $NUMSERVERS
+                   /usr/sbin/rpc.statd
+                   ;;
+
+            stop)  echo "$1ping NFS services"
+                   /usr/sbin/exportfs -au
+    
+                   pkill      "^rpc.rquotad$"
+                   pkill      "^rpc.mountd$"
+                   pkill  -1  "^nfsd$"
+                   pkill      "^rpc.statd$"
+                   ;;
+
+               *)  echo "Usage: $0 {start|stop|restart}"
+                   ;;
+esac
diff --git a/zbeta/nfs-utils-test/init.d/nfslock b/zbeta/nfs-utils-test/init.d/nfslock
new file mode 100755
index 0000000..3443a6a
--- /dev/null
+++ b/zbeta/nfs-utils-test/init.d/nfslock
@@ -0,0 +1,24 @@
+#!/bin/sh
+#
+# nfslock       This shell script takes care of starting and stopping
+#               the NFS file locking service.
+#
+# chkconfig: 345 14 86
+# description: NFS is a popular protocol for file sharing across \
+#              TCP/IP networks. This service provides NFS file \
+#              locking functionality.
+# probe: true
+
+case $1 in
+  start|restart)  echo   "$1ing NFS file locking services, rpc.statd"
+                  pkill  "^rpc.statd$"  &&  sleep  5
+                  ps  -C  portmap  >  /dev/null  ||
+                  /etc/init.d/portmap start
+                  /usr/sbin/rpc.statd
+                  ;;
+           stop)  echo "$1ping NFS file locking services"
+                  pkill  "^rpc.statd$"
+                  ;;
+              *)  echo "Usage $0 {start|stop|restart}"
+                  ;;
+esac


More information about the Lunar-commits mailing list